import React, { useState, useEffect } from "react";
// import  {doLogOut} from "../actions/logOutActions";

import { Link } from "react-router-dom";
import { connect } from "react-redux";
import { logOut } from "../actions/authActions";
import { useHistory } from "react-router-dom";

// const mapStateToProps = (state) => ({
//   doLogOut: !!state.auth.token,
// });

// const mapDispatchToProps = (dispatch) => ({
//   doLoginOut: (login, password) => dispatch(doLogOut()),
// });


const Header = ({ logOut }) => {

  let history = useHistory();


  function onLogOut() {
    logOut();
    history.push("/");
    // history.push("/login");
  }

  return (
    <div className="header">
      <ul className="mainMenu">
        <li>
          <h2>gRomkoPlayer</h2>
        </li>
        <li onClick={()=>history.push("/private")}>
          <h2>Library</h2>
        </li>
        <li onClick={()=>history.push("/all_playlists")}>
          <h2>All Playlists</h2>
        </li>
        <li 
        onClick={()=>history.push("/my_playlists")}
        // onClick={()=>{<Link to ={"/my_playlist"}> </Link>}}
        >
          <h2>My Playlists</h2>
        </li>
        <li>
          <h2>Search</h2>
        </li>
        <li className="userMenu">
          <h2>User: {localStorage.user}</h2>
          <ul className="userMenu-child">
            <li onClick={()=>onLogOut()}>
              Log out
            </li>
          </ul>
        </li>
      </ul>
    </div>
  );
};

const mapStateToProps = (state) => ({
  state: state,
}) 
export default connect(mapStateToProps, { logOut })(Header);
// export default connect(null, {doLogOut})(Header);
